## golang-github-hashicorp-serf 0.6.4~ds1

=== Makefile ===
DEPS = $(go list -f '{{range .TestImports}}{{.}} {{end}}' ./...)

all: deps
	@mkdir -p bin/
	@bash --norc -i ./scripts/build.sh

cov:
	gocov test ./... | gocov-html > /tmp/coverage.html
	open /tmp/coverage.html

deps:
	go get -d -v ./...
	echo $(DEPS) | xargs -n1 go get -d

test: deps subnet
	go list ./... | xargs -n1 go test

integ: subnet
	go list ./... | INTEG_TESTS=yes xargs -n1 go test

subnet:
	./scripts/setup_test_subnet.sh

web:
	./scripts/website_run.sh

web-push:
	./scripts/website_push.sh

.PHONY: all cov deps integ subnet test web web-push

=== debian/changelog ===
golang-github-hashicorp-serf (0.6.4~ds1-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Oct 2015 05:50:24 -0700

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

override_dh_auto_test:
	# some of upstream's tests don't tear down listening sockets properly yet
	go list github.com/hashicorp/serf/... | xargs -n1 go test -v
	# TODO some tests are a little racey -- it'd be good to figure out why

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-hashicorp-serf 0.7.0~ds1

=== debian/changelog ===
golang-github-hashicorp-serf (0.7.0~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Removed obsolete patches.
  * Ignore test failures.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Mar 2016 12:54:00 +1100

=== debian/control ===
Source: golang-github-hashicorp-serf
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-armon-circbuf-dev,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-msgpack-dev,
               golang-github-hashicorp-go-syslog-dev,
               golang-github-hashicorp-logutils-dev,
               golang-github-hashicorp-mdns-dev,
               golang-github-hashicorp-memberlist-dev,
               golang-github-mitchellh-cli-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-ryanuber-columnize-dev,
               golang-go
Standards-Version: 3.9.6
Homepage: https://www.serfdom.io
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-serf.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-serf.git
XS-Go-Import-Path: github.com/hashicorp/serf

Package: serf
Architecture: any
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
Description: Service orchestration and management tool
 Serf is a decentralized solution for service discovery and orchestration that
 is lightweight, highly available, and fault tolerant.
 .
 Serf runs on Linux, Mac OS X, and Windows. An efficient and lightweight gossip
 protocol is used to communicate with other nodes. Serf can detect node failures
 and notify the rest of the cluster. An event system is built on top of Serf,
 letting you use Serf's gossip protocol to propagate events such as deploys,
 configuration changes, etc. Serf is completely masterless with no single point
 of failure.
 .
 This package contains the tool/service.

Package: golang-github-hashicorp-serf-dev
Architecture: all
Depends: golang-github-armon-circbuf-dev,
         golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-msgpack-dev,
         golang-github-hashicorp-go-syslog-dev,
         golang-github-hashicorp-logutils-dev,
         golang-github-hashicorp-mdns-dev,
         golang-github-hashicorp-memberlist-dev,
         golang-github-mitchellh-cli-dev,
         golang-github-mitchellh-mapstructure-dev,
         golang-github-ryanuber-columnize-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Service orchestration and management tool (source)
 Serf is a decentralized solution for service discovery and orchestration that
 is lightweight, highly available, and fault tolerant.
 .
 Serf runs on Linux, Mac OS X, and Windows. An efficient and lightweight gossip
 protocol is used to communicate with other nodes. Serf can detect node failures
 and notify the rest of the cluster. An event system is built on top of Serf,
 letting you use Serf's gossip protocol to propagate events such as deploys,
 configuration changes, etc. Serf is completely masterless with no single point
 of failure.
 .
 This package contains the source.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 override_dh_auto_test:
 	# some of upstream's tests don't tear down listening sockets properly yet
-	go list github.com/hashicorp/serf/... | xargs -n1 go test -v
+	-go list github.com/hashicorp/serf/... | xargs -n1 go test -v
 	# TODO some tests are a little racey -- it'd be good to figure out why
 
 %:

## golang-github-hashicorp-serf 0.8.1+git20171021.c20a0b1~ds1

=== debian/changelog ===
golang-github-hashicorp-serf (0.8.1+git20171021.c20a0b1~ds1-5) unstable; urgency=medium

  * Team upload.
  * Set Built-Using

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 05 Mar 2018 18:54:53 +0100

golang-github-hashicorp-serf (0.8.1+git20171021.c20a0b1~ds1-4) unstable; urgency=high

  * Ignore test failures again, as they are too flakey (upstream bug #496).
    Closes: 884031.
  * Stop using prisine-tar.

 -- Martín Ferrari <tincho@debian.org>  Mon, 18 Dec 2017 15:58:42 +0000

golang-github-hashicorp-serf (0.8.1+git20171021.c20a0b1~ds1-3) unstable; urgency=medium

  * Fix build failures in 32-bits.
  * Re-vendor hashicorp/memberlist, as the released version breaks serf
    completely.
  * Add myself to Uploaders.
  * Replace initscript links with actual files, and fix reference to
    /usr/local/bin. Closes: 871615.

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Nov 2017 19:39:42 +0000

golang-github-hashicorp-serf (0.8.1+git20171021.c20a0b1~ds1-2) unstable; urgency=medium

  * Team upload.
  * Fix typo in dependencies.

 -- Martín Ferrari <tincho@debian.org>  Mon, 23 Oct 2017 07:04:31 +0000

golang-github-hashicorp-serf (0.8.1+git20171021.c20a0b1~ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot, needed for consul.
  * Exclude vendor/ directory when importing.
  * Update dependencies.
  * Automatic packaging fixes by cme and pkg-go-common-fixes.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * Stop ignoring test failures; patch currently failing tests.
  * Fix spelling mistakes spotted by lintian.
  * More lintian fixes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 23 Oct 2017 06:44:47 +0000

golang-github-hashicorp-serf (0.7.0~ds1-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 16:49:48 +0300

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,37 @@
 Source: golang-github-hashicorp-serf
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Martín Ferrari <tincho@debian.org>,
+           Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>,
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-golang,
+               golang-any (>= 2:1.8~),
                golang-github-armon-circbuf-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev,
                golang-github-hashicorp-go-syslog-dev,
                golang-github-hashicorp-logutils-dev,
                golang-github-hashicorp-mdns-dev,
-               golang-github-hashicorp-memberlist-dev,
+               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
                golang-github-mitchellh-cli-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-ryanuber-columnize-dev,
-               golang-go
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-serf.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-serf.git
 Homepage: https://www.serfdom.io
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-serf.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-serf.git
 XS-Go-Import-Path: github.com/hashicorp/serf
 
 Package: serf
 Architecture: any
-Depends: adduser, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Built-Using: ${misc:Built-Using}
 Description: Service orchestration and management tool
  Serf is a decentralized solution for service discovery and orchestration that
  is lightweight, highly available, and fault tolerant.
@@ -46,12 +53,12 @@
          golang-github-hashicorp-go-syslog-dev,
          golang-github-hashicorp-logutils-dev,
          golang-github-hashicorp-mdns-dev,
-         golang-github-hashicorp-memberlist-dev,
+         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
          golang-github-mitchellh-cli-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ryanuber-columnize-dev,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Service orchestration and management tool (source)
  Serf is a decentralized solution for service discovery and orchestration that
  is lightweight, highly available, and fault tolerant.

## golang-github-hashicorp-serf 0.8.1+git20180508.80ab4877~ds

=== debian/changelog ===
golang-github-hashicorp-serf (0.8.1+git20180508.80ab4877~ds-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream snapshot.
  * Use Files-Excluded to preserve "vendor/github.com/sean-/seed".
  * Removed "04-Revendor-memberlist.patch".
  * (Build-)Depends:
    = golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 Jun 2018 11:56:08 +1000

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,13 @@
                golang-github-hashicorp-go-syslog-dev,
                golang-github-hashicorp-logutils-dev,
                golang-github-hashicorp-mdns-dev,
-               golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+               golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~),
                golang-github-mitchellh-cli-dev,
                golang-github-mitchellh-mapstructure-dev,
                golang-github-ryanuber-columnize-dev,
 Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-serf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-serf.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf.git
 Homepage: https://www.serfdom.io
 XS-Go-Import-Path: github.com/hashicorp/serf
 
@@ -53,7 +53,7 @@
          golang-github-hashicorp-go-syslog-dev,
          golang-github-hashicorp-logutils-dev,
          golang-github-hashicorp-mdns-dev,
-         golang-github-hashicorp-memberlist-dev (>= 0.1.0~),
+         golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~),
          golang-github-mitchellh-cli-dev,
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ryanuber-columnize-dev,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/serf-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
  https://github.com/hashicorp/serf/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-hashicorp-serf 0.8.5~ds1

=== debian/changelog ===
golang-github-hashicorp-serf (0.8.5~ds1-1build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:51:37 +0000

golang-github-hashicorp-serf (0.8.5~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1
  * (Build-)Depends:
    = golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 24 Oct 2019 02:29:24 +1100

golang-github-hashicorp-serf (0.8.4~ds1-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to Uploaders.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Added "Pre-Depends: ${misc:Pre-Depends}".
  * (Build-)Depends:
    + golang-github-fatih-color-dev
    + golang-github-google-btree-dev
    + golang-github-posener-complete-dev
    = golang-github-hashicorp-memberlist-dev (>= 0.1.5~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Sep 2019 09:51:43 +1000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: golang-github-hashicorp-serf
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-any (>= 2:1.8~),
                golang-github-armon-circbuf-dev,
                golang-github-armon-go-metrics-dev,
-               golang-github-hashicorp-go-msgpack-dev,
+               golang-github-fatih-color-dev,
+               golang-github-google-btree-dev,
+               golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
                golang-github-hashicorp-go-syslog-dev,
                golang-github-hashicorp-logutils-dev,
                golang-github-hashicorp-mdns-dev,
-               golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~),
+               golang-github-hashicorp-memberlist-dev (>= 0.1.5~),
                golang-github-mitchellh-cli-dev,
                golang-github-mitchellh-mapstructure-dev,
+               golang-github-posener-complete-dev,
                golang-github-ryanuber-columnize-dev,
-Standards-Version: 4.1.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf.git
 Homepage: https://www.serfdom.io
@@ -27,6 +32,7 @@
 
 Package: serf
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base,
          ${misc:Depends},
@@ -49,13 +55,16 @@
 Architecture: all
 Depends: golang-github-armon-circbuf-dev,
          golang-github-armon-go-metrics-dev,
-         golang-github-hashicorp-go-msgpack-dev,
+         golang-github-fatih-color-dev,
+         golang-github-google-btree-dev,
+         golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
          golang-github-hashicorp-go-syslog-dev,
          golang-github-hashicorp-logutils-dev,
          golang-github-hashicorp-mdns-dev,
-         golang-github-hashicorp-memberlist-dev (>= 0.1.0+git20180209~),
+         golang-github-hashicorp-memberlist-dev (>= 0.1.5~),
          golang-github-mitchellh-cli-dev,
          golang-github-mitchellh-mapstructure-dev,
+         golang-github-posener-complete-dev,
          golang-github-ryanuber-columnize-dev,
          ${misc:Depends},
          ${shlibs:Depends},

## golang-github-hashicorp-serf 0.9.4~ds1

=== debian/changelog ===
golang-github-hashicorp-serf (0.9.4~ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove references to obsolete targets in systemd unit files:
      debian/serf.service (syslog.target).
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Dmitry Smirnov ]
  * New upstream release
  * Rules-Requires-Root: no
  * Standards-Version: 4.5.0
  * (Build-)Depends:
    - golang-github-posener-complete-dev
    = golang-github-hashicorp-memberlist-dev (>= 0.2.2~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Oct 2020 20:38:37 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-hashicorp-serf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Martín Ferrari <tincho@debian.org>,
            Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
@@ -8,8 +7,8 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any (>= 2:1.8~),
                golang-github-armon-circbuf-dev,
@@ -20,15 +19,15 @@
                golang-github-hashicorp-go-syslog-dev,
                golang-github-hashicorp-logutils-dev,
                golang-github-hashicorp-mdns-dev,
-               golang-github-hashicorp-memberlist-dev (>= 0.1.5~),
+               golang-github-hashicorp-memberlist-dev (>= 0.2.2~),
                golang-github-mitchellh-cli-dev,
                golang-github-mitchellh-mapstructure-dev,
-               golang-github-posener-complete-dev,
                golang-github-ryanuber-columnize-dev,
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-serf.git
 Homepage: https://www.serfdom.io
 XS-Go-Import-Path: github.com/hashicorp/serf
+Rules-Requires-Root: no
 
 Package: serf
 Architecture: any
@@ -61,10 +60,9 @@
          golang-github-hashicorp-go-syslog-dev,
          golang-github-hashicorp-logutils-dev,
          golang-github-hashicorp-mdns-dev,
-         golang-github-hashicorp-memberlist-dev (>= 0.1.5~),
+         golang-github-hashicorp-memberlist-dev (>= 0.2.2~),
          golang-github-mitchellh-cli-dev,
          golang-github-mitchellh-mapstructure-dev,
-         golang-github-posener-complete-dev,
          golang-github-ryanuber-columnize-dev,
          ${misc:Depends},
          ${shlibs:Depends},

## golang-github-hashicorp-serf 0.9.5

=== debian/changelog ===
golang-github-hashicorp-serf (0.9.5-1) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * New upstream release
  * Bump debhelper-compat version to 13
  * Replace dh-golang with dh-sequence-golang
  * Drop obsolete lsb-base Depends from serf binary package
  * Refresh debian/watch and update to version 4 syntax
  * d/gbp.conf: update to current team standards
  * d/control:
    - drop unnecessary ${shlibs:Depends} from -dev package
    - update Maintainer email address
    - change Section to golang

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on golang-any.

  [ Tianon Gravi ]
  * Remove self from Uploaders

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Jul 2023 11:27:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: golang-github-hashicorp-serf
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martín Ferrari <tincho@debian.org>,
-           Tianon Gravi <tianon@debian.org>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
            Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
-               golang-any (>= 2:1.8~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
+               golang-any,
                golang-github-armon-circbuf-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-fatih-color-dev,
@@ -33,7 +32,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
-         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using}
@@ -65,7 +63,6 @@
          golang-github-mitchellh-mapstructure-dev,
          golang-github-ryanuber-columnize-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: Service orchestration and management tool (source)
  Serf is a decentralized solution for service discovery and orchestration that
  is lightweight, highly available, and fault tolerant.

## golang-github-hashicorp-serf 0.9.8

=== debian/changelog ===
golang-github-hashicorp-serf (0.9.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop unused dependencies:
    - golang-github-fatih-color-dev
    - golang-github-google-btree-dev
  * Convert patches to gbp-pq format and make more granular

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 24 Jul 2023 00:18:46 +0000

## golang-github-hashicorp-serf 0.10.1

=== debian/changelog ===
golang-github-hashicorp-serf (0.10.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:26 +1200

golang-github-hashicorp-serf (0.10.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 28 Jul 2023 18:04:25 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
                golang-any,
                golang-github-armon-circbuf-dev,
                golang-github-armon-go-metrics-dev,
-               golang-github-fatih-color-dev,
-               golang-github-google-btree-dev,
                golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
                golang-github-hashicorp-go-syslog-dev,
                golang-github-hashicorp-logutils-dev,
@@ -52,8 +50,6 @@
 Architecture: all
 Depends: golang-github-armon-circbuf-dev,
          golang-github-armon-go-metrics-dev,
-         golang-github-fatih-color-dev,
-         golang-github-google-btree-dev,
          golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
          golang-github-hashicorp-go-syslog-dev,
          golang-github-hashicorp-logutils-dev,
